Subject: cygwin32_get_sockopt, which library?
From: [email-masked] (Sampo Kellomaki)

9 Dec 1996 23:01:31 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: [email-masked]
Original-Cc: [email-masked]
Original-Sender: [email-masked]

I'm compiling SSLeay on cygwin32 version 1.3 Beta 17. Everything works
fine (I ./Configured SSLeay for Linux w/o assembler, for those who are
interested) until link time.

I get
	s_socket.o(.text+0x182):s_socket.c: undefined reference to `cygwin32_getsockopt'

Ok, so I try `nm *.a | grep getsockopt' in several directories, but I
can't find cygwin32_getsockopt anywhere. Which library I need to link
to get cygwin32_getsockopt?

Only ones that come even close are
	H-i386-cygwin32/i386-cygwin32/lib/libwsock32.a
		which has plain getsockopt (without cygwin32_ prefix)
and
	H-i386-cygwin32/i386-cygwin32/lib/libcygwin.a
		which has cygwin_setsockopt

--Sampo
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".